## feedservice2-dev 0.5.9

=== Makefile ===
SRC = ./
DESTDIR =
INCLUDEDIR = $(DESTDIR)/usr/include/facebook
PKGCONFIGDIR = $(DESTDIR)/usr/lib/pkgconfig
LIBDIR = $(DESTDIR)/usr/lib

INSTALL = install
INSTALL_PROGRAM = $(INSTALL)

INSTALL_INCLUDES = include/facebook/feedserviceutils2.h
INSTALL_PKGCONFIG = feedservice2.pc
INSTALL_LIBS = libfeedserviceutils2.so.0.0.0

libfeedserviceutils2.so.0.0.0: feedservice2.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(shell pkg-config --cflags --libs glib-2.0 conic) -fPIC -O2 -shared $^ -o $@

all:

install:
	$(INSTALL_PROGRAM) -d $(INCLUDEDIR)
	$(INSTALL_PROGRAM) -m644 $(INSTALL_INCLUDES) $(INCLUDEDIR)
	$(INSTALL_PROGRAM) -d $(PKGCONFIGDIR)
	$(INSTALL_PROGRAM) -m644 $(INSTALL_PKGCONFIG) $(PKGCONFIGDIR)
	$(INSTALL_PROGRAM) -d $(LIBDIR)
	$(INSTALL_PROGRAM) -m644 $(INSTALL_LIBS) $(LIBDIR)

clean:
	$(RM) *.o *~ libfeedserviceutils2.so.0.0.0

=== debian/changelog ===
feedservice2-dev (0.5.9) unstable; urgency=low

  * Initial Release.

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Tue, 05 Jun 2012 19:25:44 +0300

=== debian/control ===
Source: feedservice2-dev
Priority: optional
Maintainer: Ivaylo Dimitrov <freemangordon@abv.bg>
Build-Depends: debhelper (>> 3.0.0), autotools-dev, libglib2.0-dev, libconic0-dev
Standards-Version: 3.7.2
Section: libs

Package: feedservice2-dev
Section: libdevel
Architecture: any
Depends:  ${shlibs:Depends}
Description: Header files for linking to the closed-source feedservice2 libraries

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/feedservice2-dev.sgml > feedservice2-dev.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean -pfeedservice2-dev

install: build
	dh_testdir
	dh_testroot
	dh_clean -k -pfeedservice2-dev
	dh_installdirs

	# Add here commands to install the package into debian/feedservice2-dev.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/feedservice2-dev


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
